
$primary:#141414;
$secondary:#ffffff;
$theme-colors: (
  "primary": $primary,
  "secondary": $secondary
);
@function theme-color($key: "primary") {
    @return map-get($theme-colors, $key);
  }
  @import "bootstrap";  
  .custom-dialog {max-width: 70% !important; }

  @media all and (min-width: 992px) {
    .dropdown-menu li{ position: relative; 	}
    .nav-item .submenu{ 
      display: none;
      position: absolute;
      left:100%; top:-7px;
    }
    .nav-item .submenu-left{ 
      right:100%; left:auto;
    }
    .dropdown-menu > li:hover{ background-color: #f1f1f1 }
    .dropdown-menu > li:hover > .submenu{ display: block; }
  }	
  /* ============ desktop view .end// ============ */
  
  /* ============ small devices ============ */
  @media (max-width: 991px) {
    .dropdown-menu .dropdown-menu{
        margin-left:0.7rem; margin-right:0.7rem; margin-bottom: .5rem;
    }
  }	

// .btn-primary {

//     @include button-variant($primary, darken($primary, 7.5%), darken($primary, 10%), lighten($primary,5%), lighten($primary, 10%), darken($primary,30%));
// }
    
// .btn-outline-primary {
//     @include button-outline-variant($primary, #222222, lighten($primary,5%), $primary);
// }

// .btn-secondary {
//     @include button-variant($secondary, darken($secondary, 7.5%), darken($secondary, 10%), lighten($secondary,5%), lighten($secondary, 10%), darken($secondary,30%));
// }
    
// .btn-outline-secondary {
//     @include button-outline-variant($secondary, #222222, lighten($secondary,5%), $secondary);
// }
